Debian Bug report logs - #515052
ksplice-create fails to create tarball

version graph

Package: ksplice; Maintainer for ksplice is Luca Bruno <lucab@debian.org>; Source for ksplice is src:ksplice.

Reported by: Kushal Koolwal <kushalkoolwal@hotmail.com>

Date: Fri, 13 Feb 2009 00:27:01 UTC

Severity: important

Tags: fixed-upstream

Found in version ksplice/0.9.5-1

Fixed in version ksplice/0.9.6-1

Done: Luca Bruno <lucab@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kushalkoolwal@hotmail.com, Luca Bruno <lucab@debian.org>:
Bug#515052; Package ksplice. (Fri, 13 Feb 2009 00:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
New Bug report received and forwarded. Copy sent to kushalkoolwal@hotmail.com, Luca Bruno <lucab@debian.org>. (Fri, 13 Feb 2009 00:27:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ksplice-create fails to create tarball
Date: Thu, 12 Feb 2009 16:25:14 -0800
Package: ksplice
Version: 0.9.5-1
Severity: important

I was trying to follow the example at:
http://www.ksplice.com/example-update

This is what I did so far:
#cd /usr/src/
#apt-get install linux-source-2.6.26
#tar -xjvf linux-source-2.6.26.tar.bz2 
#cd linux-source-2.6.26
#cp /boot/config-2.6.26-1-686 .config
#make xconfig
#mkdir ksplice
#cd ksplice/
#cp /boot/config-2.6.26-1-686 .config
#cp /boot/System.map-2.6.26-1-686 System.map
#ln -s /lib/modules/2.6.26-1-686/build /usr/src/linux-source-2.6.26/ksplice/build
#cd ../kernel
#pwd
/usr/src/linux-source-2.6.26/kernel
#ksplice-create --patch=printk.patch /usr/src/linux-source-2.6.26

The first error message that I got was:
In file included from include/linux/gfp.h:4,
                 from include/linux/slab.h:12,
                 from include/linux/percpu.h:5,
                 from include/asm/local.h:4,
                 from include/linux/module.h:19,
                 from init/main.c:13:
include/linux/mmzone.h:18:26: error: linux/bounds.h: No such file or directory
include/linux/mmzone.h:197:5: warning: "MAX_NR_ZONES" is not defined

Then after searching on Internet I found that I need to give:
#make prepare

After doing the above, now I get the following error message:

#ksplice-create --patch=printk.patch /usr/src/linux-source-2.6.26
Starting kernel builds (this process might take a long time)...
scripts/kconfig/conf -s arch/x86/Kconfig
rm ksplice-revert-stamp
  CHK     include/linux/version.h
  CHK     include/linux/utsrelease.h
  CC      init/main.o
/bin/sh: scripts/genksyms/genksyms: No such file or directory
make[1]: *** [init/main.o] Error 1
make: *** [init] Error 2
Aborting: Prebuild failed at /usr/bin/ksplice-create line 180.
debian-sid:/usr/src/linux-source-2.6.26/kernel# 

All the commands that I gave start with "#" symbol. Also I am attaching my printk.patch file below:
--- linux-source-2.6.26/kernel/printk.c	2009-02-12 15:13:57.000000000 -0800
+++ linux-test/kernel/printk_patch.c	2009-02-12 15:17:45.000000000 -0800
@@ -610,7 +610,8 @@
 {
 	va_list args;
 	int r;
-
+	
+	vprintk("Quoth the kernel:\n", NULL);
 	va_start(args, fmt);
 	r = vprintk(fmt, args);
 	va_end(args);

Thanks

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ksplice depends on:
ii  binutils            2.18.1~cvs20080103-7 The GNU assembler, linker and bina
ii  gcc [c-compiler]    4:4.3.2-3            The GNU C compiler
ii  gcc-4.1 [c-compiler 4.1.2-25             The GNU C compiler
ii  gcc-4.2 [c-compiler 4.2.4-6              The GNU C compiler
ii  gcc-4.3 [c-compiler 4.3.3-3              The GNU C compiler
ii  libc6               2.7-18               GNU C Library: Shared libraries
ii  patch               2.5.9-5              Apply a diff file to an original
ii  perl                5.10.0-19            Larry Wall's Practical Extraction 
ii  rsync               3.0.5-1              fast remote file copy program (lik

ksplice recommends no packages.

ksplice suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bruno <lucab@debian.org>:
Bug#515052; Package ksplice. (Fri, 13 Feb 2009 00:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Abbott <tabbott@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to Luca Bruno <lucab@debian.org>. (Fri, 13 Feb 2009 00:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 515052@bugs.debian.org (full text, mbox):

From: Tim Abbott <tabbott@MIT.EDU>
To: Kushal Koolwal <kushalkoolwal@hotmail.com>, 515052@bugs.debian.org
Subject: Re: Bug#515052: ksplice-create fails to create tarball
Date: Thu, 12 Feb 2009 19:49:22 -0500 (EST)
Hello,

This problem is caused by a bug in Ksplice 0.9.5 that was fixed in the 
Ksplice 0.9.6 upstream release.

	-Tim Abbott




Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bruno <lucab@debian.org>:
Bug#515052; Package ksplice. (Fri, 13 Feb 2009 01:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Luca Bruno <lucab@debian.org>. (Fri, 13 Feb 2009 01:12:02 GMT) Full text and rfc822 format available.

Message #15 received at 515052@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <tabbott@mit.edu>, <515052@bugs.debian.org>
Subject: RE: Bug#515052: ksplice-create fails to create tarball
Date: Thu, 12 Feb 2009 17:09:48 -0800
[Message part 1 (text/plain, inline)]
Ok thanks. I will try the upstream version on Debian Sid.

Kushal Koolwal

I do blog at http://blogs.koolwal.net/





> Date: Thu, 12 Feb 2009 19:49:22 -0500
> From: tabbott@MIT.EDU
> To: kushalkoolwal@hotmail.com; 515052@bugs.debian.org
> Subject: Re: Bug#515052: ksplice-create fails to create tarball
> 
> Hello,
> 
> This problem is caused by a bug in Ksplice 0.9.5 that was fixed in the 
> Ksplice 0.9.6 upstream release.
> 
> 	-Tim Abbott

_________________________________________________________________
Windows Live™: Keep your life in sync. 
http://windowslive.com/explore?ocid=TXT_TAGLM_WL_t1_allup_explore_022009
[Message part 2 (text/html, inline)]

Tags added: fixed-upstream Request was from Anders Kaseorg <andersk@MIT.EDU> to control@bugs.debian.org. (Fri, 13 Feb 2009 02:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bruno <lucab@debian.org>:
Bug#515052; Package ksplice. (Fri, 13 Feb 2009 21:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Luca Bruno <lucab@debian.org>. (Fri, 13 Feb 2009 21:06:10 GMT) Full text and rfc822 format available.

Message #22 received at 515052@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <515052@bugs.debian.org>
Date: Fri, 13 Feb 2009 13:04:27 -0800
Hi Tim,

So I made some progress after downloading the latest 0.9.6 version as suggested by you. But now I got stuck at the ksplice-apply command. Here is what I get:


make: Entering directory `/usr/src/linux-headers-2.6.26-ksplice'
  INSTALL /tmp/ksplice-tmp-Q5Yl6u/kmodsrc/ksplice-kkda1whi.ko
  INSTALL /tmp/ksplice-tmp-Q5Yl6u/kmodsrc/ksplice-kkda1whi_vmlinux-helper.ko
  INSTALL /tmp/ksplice-tmp-Q5Yl6u/kmodsrc/ksplice-kkda1whi_vmlinux.ko
make: Leaving directory `/usr/src/linux-headers-2.6.26-ksplice'
Ksplice update tarball written to ksplice-kkda1whi.tar.gz

debian-sid:/usr/src/linux-source-2.6.26/kernel# ksplice-apply ./ksplice-kkda1whi.tar.gz 
Error applying Ksplice update kkda1whi:
Ksplice has aborted the upgrade because Ksplice has been unable to match the
object code produced by your current compiler and assembler against the running
kernel's object code.  If you provided the exact kernel source to the running
kernel, then it appears that your current compiler and/or assembler are
behaving differently from the compiler and assembler used to build the running
kernel.  If possible, please use the exact compiler and assembler that were
used to build the running kernel.  If you are using exactly the same compiler
and assembler, consider reporting a bug to devel@ksplice.com.

Died at /usr/local/sbin/ksplice-apply line 131.
debian-sid:/usr/src/linux-source-2.6.26/kernel#

Now the ksplice-create commands is able to successfully create the tarball file. I am pretty sure that the kernel that I am using (2.6.26-ksplice) is compiled with the same gcc version on my system. Here is what I did to ensure that:
0. apt-get update; apt-get upgrade
1. I just downloaded the linux-source-2.6.26 from Debian Sid.
2. Copied my default /boot/config-2.6.26-1-686 to the sources linux-source-2.6.26
3. Compiled a new kernel called 2.6.26-ksplice (make-kpkg way)

And then I followed the instructions as mentioned in my original bug report.

Not sure if I missed any step or there is still some bug.

Kushal Koolwal

I do blog at http://blogs.koolwal.net/




_________________________________________________________________
Windows Live™: E-mail. Chat. Share. Get more ways to connect. 
http://windowslive.com/online/hotmail?ocid=TXT_TAGLM_WL_HM_AE_Faster_022009



Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bruno <lucab@debian.org>:
Bug#515052; Package ksplice. (Fri, 13 Feb 2009 21:33:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Abbott <tabbott@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to Luca Bruno <lucab@debian.org>. (Fri, 13 Feb 2009 21:33:18 GMT) Full text and rfc822 format available.

Message #27 received at 515052@bugs.debian.org (full text, mbox):

From: Tim Abbott <tabbott@MIT.EDU>
To: Kushal Koolwal <kushalkoolwal@hotmail.com>, 515052@bugs.debian.org
Subject: Re: Bug#515052:
Date: Fri, 13 Feb 2009 16:29:19 -0500 (EST)
[Message part 1 (text/plain, inline)]
Hi Kushal,

Are you running the kernel 2.6.26-ksplice as well as using it to be build 
your update against?

If you send me the data stored in the debugging file when your run 
ksplice-apply with debugging enabled

ksplice-apply --debug ./ksplice-kkda1whi.tar.gz

I can take a look at it.

	-Tim Abbott

On Fri, 13 Feb 2009, Kushal Koolwal wrote:

> 
> Hi Tim,
> 
> So I made some progress after downloading the latest 0.9.6 version as suggested by you. But now I got stuck at the ksplice-apply command. Here is what I get:
> 
> 
> make: Entering directory `/usr/src/linux-headers-2.6.26-ksplice'
>   INSTALL /tmp/ksplice-tmp-Q5Yl6u/kmodsrc/ksplice-kkda1whi.ko
>   INSTALL /tmp/ksplice-tmp-Q5Yl6u/kmodsrc/ksplice-kkda1whi_vmlinux-helper.ko
>   INSTALL /tmp/ksplice-tmp-Q5Yl6u/kmodsrc/ksplice-kkda1whi_vmlinux.ko
> make: Leaving directory `/usr/src/linux-headers-2.6.26-ksplice'
> Ksplice update tarball written to ksplice-kkda1whi.tar.gz
> 
> debian-sid:/usr/src/linux-source-2.6.26/kernel# ksplice-apply ./ksplice-kkda1whi.tar.gz 
> Error applying Ksplice update kkda1whi:
> Ksplice has aborted the upgrade because Ksplice has been unable to match the
> object code produced by your current compiler and assembler against the running
> kernel's object code.  If you provided the exact kernel source to the running
> kernel, then it appears that your current compiler and/or assembler are
> behaving differently from the compiler and assembler used to build the running
> kernel.  If possible, please use the exact compiler and assembler that were
> used to build the running kernel.  If you are using exactly the same compiler
> and assembler, consider reporting a bug to devel@ksplice.com.
> 
> Died at /usr/local/sbin/ksplice-apply line 131.
> debian-sid:/usr/src/linux-source-2.6.26/kernel#
> 
> Now the ksplice-create commands is able to successfully create the 
> tarball file. I am pretty sure that the kernel that I am using 
> (2.6.26-ksplice) is compiled with the same gcc version on my system. 
> Here is what I did to ensure that:
> 0. apt-get update; apt-get upgrade
> 1. I just downloaded the linux-source-2.6.26 from Debian Sid.
> 2. Copied my default /boot/config-2.6.26-1-686 to the sources linux-source-2.6.26
> 3. Compiled a new kernel called 2.6.26-ksplice (make-kpkg way)
> 
> And then I followed the instructions as mentioned in my original bug report.
> 
> Not sure if I missed any step or there is still some bug.
> 
> Kushal Koolwal
> 
> I do blog at http://blogs.koolwal.net/
> 
> 
> 
> 
> _________________________________________________________________
> Windows Live™: E-mail. Chat. Share. Get more ways to connect. 
> http://windowslive.com/online/hotmail?ocid=TXT_TAGLM_WL_HM_AE_Faster_022009
> 
> 
> 

Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bruno <lucab@debian.org>:
Bug#515052; Package ksplice. (Fri, 13 Feb 2009 22:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Luca Bruno <lucab@debian.org>. (Fri, 13 Feb 2009 22:03:02 GMT) Full text and rfc822 format available.

Message #32 received at 515052@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <tabbott@mit.edu>, <515052@bugs.debian.org>
Subject: RE: Bug#515052:
Date: Fri, 13 Feb 2009 13:57:00 -0800
[Message part 1 (text/plain, inline)]
Hi Tim,

> Are you running the kernel 2.6.26-ksplice as well as using it to be build
> your update against?
Yes, I was running 2.6.26-ksplice while doing ksplice-create and ksplice-apply process. Sorry I forgot to mentioned that in the steps previously listed.

> If you send me the data stored in the debugging file when your run
> ksplice-apply with debugging enabled
Not sure where the debug output is stored, but I am attaching the debug messages from "dmesg" when I gave the command ksplice-apply --debug ./ksplice-kkda1whi.tar.gz

Please see the attachment.

Thank you once again for your prompt response.

Kushal Koolwal

I do blog at http://blogs.koolwal.net/
_________________________________________________________________
Windows Live™: E-mail. Chat. Share. Get more ways to connect. 
http://windowslive.com/howitworks?ocid=TXT_TAGLM_WL_t2_allup_howitworks_022009
[ksplice.debug (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bruno <lucab@debian.org>:
Bug#515052; Package ksplice. (Fri, 13 Feb 2009 22:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Abbott <tabbott@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to Luca Bruno <lucab@debian.org>. (Fri, 13 Feb 2009 22:09:05 GMT) Full text and rfc822 format available.

Message #37 received at 515052@bugs.debian.org (full text, mbox):

From: Tim Abbott <tabbott@MIT.EDU>
To: Kushal Koolwal <kushalkoolwal@hotmail.com>
Cc: 515052@bugs.debian.org
Subject: RE: Bug#515052:
Date: Fri, 13 Feb 2009 17:06:25 -0500 (EST)
[Message part 1 (text/plain, inline)]
From looking at the debugging output, I'm guessing that the 2.6.26-ksplice 
kernel that you compiled was compiled with the "Quoth the kernel" example 
patch already applied.  

You should be able to confirm this fairly easily by seeing whether "Quoth 
the kernel" appears in the output of "dmesg".  

	-Tim Abbott

On Fri, 13 Feb 2009, Kushal Koolwal wrote:

> 
> Hi Tim,
> 
> > Are you running the kernel 2.6.26-ksplice as well as using it to be build
> > your update against?
> Yes, I was running 2.6.26-ksplice while doing ksplice-create and ksplice-apply process. Sorry I forgot to mentioned that in the steps previously listed.
> 
> > If you send me the data stored in the debugging file when your run
> > ksplice-apply with debugging enabled
> Not sure where the debug output is stored, but I am attaching the debug messages from "dmesg" when I gave the command ksplice-apply --debug ./ksplice-kkda1whi.tar.gz
> 
> Please see the attachment.
> 
> Thank you once again for your prompt response.
> 
> Kushal Koolwal
> 
> I do blog at http://blogs.koolwal.net/
> _________________________________________________________________
> Windows Live™: E-mail. Chat. Share. Get more ways to connect. 
> http://windowslive.com/howitworks?ocid=TXT_TAGLM_WL_t2_allup_howitworks_022009

Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bruno <lucab@debian.org>:
Bug#515052; Package ksplice. (Fri, 13 Feb 2009 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Luca Bruno <lucab@debian.org>. (Fri, 13 Feb 2009 22:24:03 GMT) Full text and rfc822 format available.

Message #42 received at 515052@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <tabbott@mit.edu>
Cc: <515052@bugs.debian.org>
Subject: RE: Bug#515052:
Date: Fri, 13 Feb 2009 14:21:18 -0800
Yes, it somehow got compiled with "Quoth..." when I was trying different thing - like re-compiling kernel with default config file when my previous attempt to use ksplice-create failed as mentioned before.

So in order to distinguish the process I deleted the source (2.6.26) in which "Quoth.." was compiled and I downloaded the a fresh copy of source again and this time I slightly modified the patch from the example to replace "Quoth" with "Quote" so that I know if the process worked or not. I guess may be this is too much confusing....sorry about that.

Should I just start fresh and see what happens?

Thanks

Kushal Koolwal

I do blog at http://blogs.koolwal.net/







----------------------------------------
> Date: Fri, 13 Feb 2009 17:06:25 -0500
> From: tabbott@MIT.EDU
> To: kushalkoolwal@hotmail.com
> CC: 515052@bugs.debian.org
> Subject: RE: Bug#515052:
>
> From looking at the debugging output, I'm guessing that the 2.6.26-ksplice
> kernel that you compiled was compiled with the "Quoth the kernel" example
> patch already applied.
>
> You should be able to confirm this fairly easily by seeing whether "Quoth
> the kernel" appears in the output of "dmesg".
>
> -Tim Abbott
>
> On Fri, 13 Feb 2009, Kushal Koolwal wrote:
>
>>
>> Hi Tim,
>>
>>> Are you running the kernel 2.6.26-ksplice as well as using it to be build
>>> your update against?
>> Yes, I was running 2.6.26-ksplice while doing ksplice-create and ksplice-apply process. Sorry I forgot to mentioned that in the steps previously listed.
>>
>>> If you send me the data stored in the debugging file when your run
>>> ksplice-apply with debugging enabled
>> Not sure where the debug output is stored, but I am attaching the debug messages from "dmesg" when I gave the command ksplice-apply --debug ./ksplice-kkda1whi.tar.gz
>>
>> Please see the attachment.
>>
>> Thank you once again for your prompt response.
>>
>> Kushal Koolwal
>>
>> I do blog at http://blogs.koolwal.net/
>> _________________________________________________________________
>> Windows Live™: E-mail. Chat. Share. Get more ways to connect.
>> http://windowslive.com/howitworks?ocid=TXT_TAGLM_WL_t2_allup_howitworks_022009

_________________________________________________________________
Windows Live™: Keep your life in sync. 
http://windowslive.com/explore?ocid=TXT_TAGLM_WL_t1_allup_explore_022009



Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bruno <lucab@debian.org>:
Bug#515052; Package ksplice. (Fri, 13 Feb 2009 22:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Abbott <tabbott@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to Luca Bruno <lucab@debian.org>. (Fri, 13 Feb 2009 22:48:03 GMT) Full text and rfc822 format available.

Message #47 received at 515052@bugs.debian.org (full text, mbox):

From: Tim Abbott <tabbott@MIT.EDU>
To: Kushal Koolwal <kushalkoolwal@hotmail.com>
Cc: 515052@bugs.debian.org
Subject: RE: Bug#515052:
Date: Fri, 13 Feb 2009 17:42:36 -0500 (EST)
On Fri, 13 Feb 2009, Kushal Koolwal wrote:

> Yes, it somehow got compiled with "Quoth..." when I was trying different 
> thing - like re-compiling kernel with default config file when my 
> previous attempt to use ksplice-create failed as mentioned before.
> 
> So in order to distinguish the process I deleted the source (2.6.26) in 
> which "Quoth.." was compiled and I downloaded the a fresh copy of source 
> again and this time I slightly modified the patch from the example to 
> replace "Quoth" with "Quote" so that I know if the process worked or 
> not. I guess may be this is too much confusing....sorry about that.

Right, well the problem is that Ksplice requires that you give it 
precisely the running kernel source, and you gave it the running kernel 
source without the "Quoth" patch applied.  So, one of Ksplice's safety 
checks aborted the upgrade.

It should work if you were to use the correct running kernel source and 
have your patch change "Quoth" to "Quote".

> Should I just start fresh and see what happens?

That might be easiest.

	-Tim Abbott




Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bruno <lucab@debian.org>:
Bug#515052; Package ksplice. (Fri, 13 Feb 2009 23:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Luca Bruno <lucab@debian.org>. (Fri, 13 Feb 2009 23:54:04 GMT) Full text and rfc822 format available.

Message #52 received at 515052@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <tabbott@mit.edu>
Cc: <515052@bugs.debian.org>
Subject: RE: Bug#515052:
Date: Fri, 13 Feb 2009 15:53:01 -0800
Hello,

After starting from scratch, the process just worked fine. I think this bug is resolved.

Thank you very much for your co-operation and patience. Really appreciate it.

Ksplice is a big leap for Linux kernel advancement.

Kushal Koolwal

I do blog at http://blogs.koolwal.net/







----------------------------------------
> Date: Fri, 13 Feb 2009 17:42:36 -0500
> From: tabbott@MIT.EDU
> To: kushalkoolwal@hotmail.com
> CC: 515052@bugs.debian.org
> Subject: RE: Bug#515052:
>
> On Fri, 13 Feb 2009, Kushal Koolwal wrote:
>
>> Yes, it somehow got compiled with "Quoth..." when I was trying different
>> thing - like re-compiling kernel with default config file when my
>> previous attempt to use ksplice-create failed as mentioned before.
>>
>> So in order to distinguish the process I deleted the source (2.6.26) in
>> which "Quoth.." was compiled and I downloaded the a fresh copy of source
>> again and this time I slightly modified the patch from the example to
>> replace "Quoth" with "Quote" so that I know if the process worked or
>> not. I guess may be this is too much confusing....sorry about that.
>
> Right, well the problem is that Ksplice requires that you give it
> precisely the running kernel source, and you gave it the running kernel
> source without the "Quoth" patch applied. So, one of Ksplice's safety
> checks aborted the upgrade.
>
> It should work if you were to use the correct running kernel source and
> have your patch change "Quoth" to "Quote".
>
>> Should I just start fresh and see what happens?
>
> That might be easiest.
>
> -Tim Abbott

_________________________________________________________________
Windows Live™: E-mail. Chat. Share. Get more ways to connect. 
http://windowslive.com/howitworks?ocid=TXT_TAGLM_WL_t2_allup_howitworks_022009



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#515052; Package ksplice. (Sat, 14 Feb 2009 10:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Bruno <lucab@debian.org>:
Extra info received and forwarded to list. (Sat, 14 Feb 2009 10:12:02 GMT) Full text and rfc822 format available.

Message #57 received at 515052@bugs.debian.org (full text, mbox):

From: Luca Bruno <lucab@debian.org>
To: Tim Abbott <tabbott@MIT.EDU>, 515052@bugs.debian.org
Cc: Kushal Koolwal <kushalkoolwal@hotmail.com>
Subject: Re: Bug#515052: ksplice-create fails to create tarball
Date: Fri, 13 Feb 2009 17:13:10 +0100
[Message part 1 (text/plain, inline)]
Tim Abbott scrisse:

> Hello,
> This problem is caused by a bug in Ksplice 0.9.5 that was fixed in
> the Ksplice 0.9.6 upstream release.
 
I'm currently moving home and unstable queue is temporarily frozen due
to lenny release, 0.9.6 will be uploaded as soon as both factors get
less tricky (the first one in particular :).

Ciao, Luca

-- 
 .''`.  ** Debian GNU/Linux **  | Luca Bruno (kaeso)
: :'  :   The Universal O.S.    | lucab (AT) debian.org
`. `'`  			| GPG Key ID: 3BFB9FB3
  `-     http://www.debian.org 	| Debian GNU/Linux Developer
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Luca Bruno <lucab@debian.org>:
You have taken responsibility. (Thu, 26 Feb 2009 21:53:16 GMT) Full text and rfc822 format available.

Notification sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug acknowledged by developer. (Thu, 26 Feb 2009 21:53:16 GMT) Full text and rfc822 format available.

Message #62 received at 515052-close@bugs.debian.org (full text, mbox):

From: Luca Bruno <lucab@debian.org>
To: 515052-close@bugs.debian.org
Subject: Bug#515052: fixed in ksplice 0.9.6-1
Date: Thu, 26 Feb 2009 21:32:03 +0000
Source: ksplice
Source-Version: 0.9.6-1

We believe that the bug you reported is fixed in the latest version of
ksplice, which is due to be installed in the Debian FTP archive:

ksplice_0.9.6-1.diff.gz
  to pool/main/k/ksplice/ksplice_0.9.6-1.diff.gz
ksplice_0.9.6-1.dsc
  to pool/main/k/ksplice/ksplice_0.9.6-1.dsc
ksplice_0.9.6-1_i386.deb
  to pool/main/k/ksplice/ksplice_0.9.6-1_i386.deb
ksplice_0.9.6.orig.tar.gz
  to pool/main/k/ksplice/ksplice_0.9.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 515052@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luca Bruno <lucab@debian.org> (supplier of updated ksplice package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 26 Feb 2009 22:11:31 +0100
Source: ksplice
Binary: ksplice
Architecture: source i386
Version: 0.9.6-1
Distribution: unstable
Urgency: low
Maintainer: Luca Bruno <lucab@debian.org>
Changed-By: Luca Bruno <lucab@debian.org>
Description: 
 ksplice    - Patching live kernel without having to reboot
Closes: 515052
Changes: 
 ksplice (0.9.6-1) unstable; urgency=low
 .
   * New upstream version
     + Fix various modules build failures (Closes: #515052)
Checksums-Sha1: 
 410364c5c35bafb940813dd444cd4141459676cb 1135 ksplice_0.9.6-1.dsc
 d891356895f8f301ba9377758e067ebc7ddd58e8 178429 ksplice_0.9.6.orig.tar.gz
 f5d052ea3ffbdd24495b53b696c8a08d8c33550b 2618 ksplice_0.9.6-1.diff.gz
 d221b34fcfdc38a78899e82334d3ea86b6d8cfe8 149416 ksplice_0.9.6-1_i386.deb
Checksums-Sha256: 
 cb6e9e9085118b9bf0f96f404ded56c65f8cdae60f54141d897c3799d41da7a4 1135 ksplice_0.9.6-1.dsc
 4f15b0cc819c240f9746cf3b0b21c0cd5ef686572a0388a88dde4472a332c3a0 178429 ksplice_0.9.6.orig.tar.gz
 3ac3bde22c8474a8911a0681efe94bae4c640f3158eee4e895642c4942bbaf55 2618 ksplice_0.9.6-1.diff.gz
 ddf3be5616e652798a5212ca76d2ef61f2d65da6a524d5500e9aa40acb2bbb3b 149416 ksplice_0.9.6-1_i386.deb
Files: 
 41555ffbdfcc3956854d2c2ee5e3ee10 1135 admin optional ksplice_0.9.6-1.dsc
 67b9da77f2d3248d80ad9c400ba74535 178429 admin optional ksplice_0.9.6.orig.tar.gz
 f1099f2ab1bb68e6891d4ee7f0cf28d6 2618 admin optional ksplice_0.9.6-1.diff.gz
 eb91524ff873bad3e8ebfbfeb15d5235 149416 admin optional ksplice_0.9.6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmnCN8ACgkQRqobajv7n7NG2ACeLhdX138NhNsEl5g1h4o3F4+a
WFEAninOXvRzl7bmXsAu3Sck2yusWBqh
=3/cr
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 Apr 2009 07:28:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:06:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.